return {
	"nvimtools/none-ls.nvim",
	config = function()
		local null_ls = require("null-ls")
		null_ls.setup({
			sources = {
				null_ls.builtins.formatting.stylua,
				null_ls.builtins.formatting.black,
				null_ls.builtins.formatting.isort,
        null_ls.builtins.formatting.bibclean,
        null_ls.builtins.formatting.clang_format,
        null_ls.builtins.formatting.djlint,
        null_ls.builtins.formatting.biome,
			},
		})
		vim.keymap.set("n", "<leader>gf", vim.lsp.buf.format, {})
	end,
}
